FROM openshift/golang-builder@sha256:21aab8ec0f5d119e4f6dab12f7ad6a1cec15d5f9071ae0c7431be760f29d4c71 AS builder
ENV __doozer=update BUILD_RELEASE=202202161037.p0.g06198e9.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202202161037.p0.g06198e9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=06198e9 OS_GIT_VERSION=4.9.0-202202161037.p0.g06198e9.assembly.stream-06198e9 SOURCE_DATE_EPOCH=1645006375 SOURCE_GIT_COMMIT=06198e9621991f2d362aaf2c22b1a36f37ee9119 SOURCE_GIT_TAG=06198e96 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/k8snetworkplumbingwg/sriov-network-operator
COPY . .

FROM openshift/ose-cli:v4.9.0-202202160527.p0.g5035cc3.assembly.stream
ENV __doozer=update BUILD_RELEASE=202202161037.p0.g06198e9.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202202161037.p0.g06198e9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=06198e9 OS_GIT_VERSION=4.9.0-202202161037.p0.g06198e9.assembly.stream-06198e9 SOURCE_DATE_EPOCH=1645006375 SOURCE_GIT_COMMIT=06198e9621991f2d362aaf2c22b1a36f37ee9119 SOURCE_GIT_TAG=06198e96 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
COPY --from=builder /go/src/github.com/k8snetworkplumbingwg/sriov-network-operator/must-gather/collection-scripts/* /usr/bin/

ENTRYPOINT /usr/bin/gather

LABEL \
        io.k8s.display-name="sriov-network-operator-must-gather" \
        io.k8s.description="This is a sriov must-gather image that collectes sriov network operator related resources." \
        name="openshift/ose-sriov-operator-must-gather" \
        com.redhat.component="sriov-network-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202202161037.p0.g06198e9.assembly.stream" \
        io.openshift.build.commit.id="06198e9621991f2d362aaf2c22b1a36f37ee9119" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/06198e9621991f2d362aaf2c22b1a36f37ee9119" \
        version="v4.9.0"

